@font-face {
  font-family: 'flood';
  line-height: 1;
  src: url(assets/font/Flood.ttf);
  font-stretch: condensed;
}

.donation-section {
  background-image: url("assets/donation/annie-spratt-427340-unsplash.png");
  background-image: cover;
  background-repeat: no-repeat;
  display: grid;
  grid-template-columns: 1fr 1fr;
  padding: 5%;
  grid-column-gap: 5%;
  background-size: 100%;
  background-position-y: 46%;
}

header h1 {
  text-align: center;
  font-family: helvetica;
  color: #354463;
}

.container {
  grid-row: 1;
  grid-column: 1;
}

.container {
  background: #354463;
  width: 100%;
  padding: 3%;
}

.main-field {
  position: relative;
  left: 1vw;
}

.container input {
  width: 95%;
  border: none;
  border-bottom: 0.2em solid #C1F7D5;
  background: #354463;
}

.form-element {
  padding: 1em;
  position: relative;
}

.form-element label {
  position: absolute;
  color: white;
  font-size: 1.3vw;
  top: 16%;
  left: 7%;
}

.state {
  background: #354463;
  color: grey;
  border: none;
  border-bottom: 0.1em solid #C1F7D5;
  width: 87%;
}

.name {
  display: grid;
  grid-template-columns: 1fr 1fr;
}

/*   LABELS   */
#first-name-label {
  left: 7%;
}

#last-name-label {
  left: 7%;
}

#street-address-label {
  left: 3%;
}

#city-label {
  left: 10%;
}

#select-state-label {
  left: 0%;
}

#zip-code-label {
  left: 10%;
}

#email-label {
  left: 3%;
}

#credit-card-label {
  left: 3%;
}

#mm-label {
  left: 9%;
}

#yyyy-label {
  left: 9%;
}

#cvc-label {
  left: 9%;
}

/*  LABEL ENDS */

.address {
  display: grid;
  grid-template-columns: 1fr 1fr 1fr;
}

.card-details {
  display: grid;
  grid-template-columns: 1fr 1fr 1fr;
}

.payment-information {
  color: white;
}

.click-the-button {
  color: white;
}

.payment-confirmation {
  display: grid;
  grid-template-columns: 1fr 1fr;
  padding: 1em;
}

.container button {
  background: #C1F7D5;
  color: #354463;
  border: solid #C1F7D5;
  border-radius: 1.5em;
  font-size: 2.15vw;
  grid-area: 1/2;
}

.go-back {
  font-size: 2vw;
  color: #C1F7D5;
}

.user-info {
  position: relative;
  top: 1%;
  color: white;
}

.give-hope {
  font-size: 6vw;
  align-self: center;
  justify-self: center;
  font-family: Flood Std;
  color: white;
}

footer {
  display: grid;
  grid-template-columns: 2fr 1fr 1fr 1fr 2fr;
  padding: 3%;
  color: #354463;
  grid-column-gap: 5%;
  padding-left: 7vw;
}

.footer-title h2 {
  font-size: 2vw;
}

.footer-caption {
  font-size: 2vw;
}

.footer-nav h3 {
  font-size: 1.2vw;
}

.footer-nav p {
  font-size: 1vw;
}

.footer-caption {
  font-size: 1.4vw;
  font-family: flood std;
}

.container input:focus~label,
.container input:valid~label {
  top: -1em;
  transition: 0.5s;
}


/* MEDIA QUERY for tablet*/
@media screen and (min-width: 768px) and (max-width:1023px) {

  .donation-section {
    background-size: 155%;
  }

  .container button{
    width:110%;
  }

  .go-back{
    font-size: 2vw;
  }

  footer {
    display: grid;
    grid-template-rows: 2fr 2fr;
    grid-template-columns: 2fr 2fr 2fr;
  }

  .footer-title h2 {
    font-size: 2.4vw;

  }

  .footer-caption {
    grid-row: 2;
    grid-column: 3;
    font-size: 2vw;
  }

  .learn {
    grid-row: 2;
    grid-column: 2;

  }

  .learn h3 {
    font-size: 2vw;
  }

  .follow h3 {
    font-size: 2vw;
  }

  .contact h3 {
    font-size: 2vw;
  }

  .footer-nav p {
    font-size: 2vw;
  }
}


/* MEDIA QUERY FOR MOBILE*/
  @media screen and (max-width: 767px) {

  .donation-section {
    grid-template-rows: 13% 85%;
    grid-template-columns: 1fr;
    background-size: 300%;
    background-position-y: 70%
  }


  .container {
    height: 101%;
    grid-row: 2;
    margin-left: -3%;
  }


  .container button {
    font-size: 5vw;
    grid-area: 1/1/2/2;
    width: 190%;
    height: 100%;
  }

  .go-back {
    grid-area: 2/1/3/2;
    font-size: 4vw;
    margin-left: 4%;
    margin-top: 8%;
  }

  .form-element label {
    font-size: 4.26vw;
    top: 16%;
    left: 7%;
  }

  footer {
    grid-template-rows: 2fr 2fr 2fr;
    grid-template-columns: 2fr 2fr;
  }

  .footer-caption {
    grid-row: 3;
    grid-column: 2;
  }

  .learn h3 {
    font-size: 2.5vw;
  }

  .follow h3 {
    font-size: 2.5vw;
  }

  .contact h3 {
    font-size: 2.5vw;
  }

  .footer-nav p {
    font-size: 2.5vw;
  }

  .footer-title h2 {
    font-size: 4vw;
  }
}